#include <iostream>
#include <fstream>
using namespace std;
int main()
{
	ifstream fi("doinp.inp");
	long long int n;
	long long int a[100000],i,j;
	fi>>n;
	fi.close();
	ofstream fo("doinp.out");
	do
	{
		a[j]=n%2;
		n=n/2;
		j++;
	}
	while (n!=0)
	for(i=j-1;i>=0;i--) fo<<a[i];
	fo.close();
}
